Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000499Documentation, Examples, and Web SiteWriting with Informpublic2011-01-09 12:132014-05-07 07:38
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6E72 
Target VersionFixed in Version6L02 
Summary0000499: Section 25.21 should say something about how to declare new I6 variables
DescriptionThe current manual says:

====
[W]e can instead tell Inform to use an existing I6 variable (either one that we declare ourselves, or one in the I6 template layer). For example: [...] The current room description style variable translates into I6 as "lookmode".
====

Here, the example is one where we use a variable in the I6 template layer. Any user trying to declare his own variable using the syntax gleaned from the previous sections (25.18, for instance) will find that

Include (- Global my_variable = 0; -)

gives compilation errors (if the variable is called anywhere in the program). The correct syntax for setting up one's own I6 variable is:

Include (- Global my_variable = 0; -) after "Definitions.i6t".

I think the documentation would be improved by mentioning this in section 25.21.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000956)
Ron Newcomb (reporter)
2011-01-09 17:13

For that matter, without the [after "Definitions.i6t".] bit, where does it go? Perhaps [after "Definitions.i6t".] should be the default? (Or would that break some other common thing?)

- Issue History
Date Modified Username Field Change
2011-01-09 12:13 Victor Gijsbers New Issue
2011-01-09 13:25 jmcgrew Status new => confirmed
2011-01-09 17:13 Ron Newcomb Note Added: 0000956
2011-05-17 12:50 emshort Assigned To => graham
2011-05-17 12:50 emshort Status confirmed => resolved
2011-05-17 12:50 emshort Resolution open => fixed
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker